#include "testApp.h"


//--------------------------------------------------------------
void testApp::setup(){	 
				
	imgLeft.loadImage("images/tsukuba1color.png");
	imgRight.loadImage("images/tsukuba2color.png");
	
	cvImgLeft.allocate(imgLeft.width, imgLeft.height);
	cvImgRight.allocate(imgRight.width, imgRight.height);
	
	cvImgLeft.setFromPixels(imgLeft.getPixels(), imgLeft.width, imgLeft.height);
	cvImgRight.setFromPixels(imgRight.getPixels(), imgRight.width, imgRight.height);
	
	
	dc = new depthCalculator(imgLeft.width, imgLeft.height);
	
	bDoneAnyStero = false;
}

//--------------------------------------------------------------
void testApp::update(){
	
	ofBackground(0,0,0);
}

//--------------------------------------------------------------
void testApp::draw(){

	cvImgLeft.draw(0,0);
	cvImgRight.draw(cvImgLeft.width, 0);
	dc->leftResult.draw(0,cvImgLeft.height);
	dc->rightResult.draw(cvImgLeft.width,cvImgLeft.height);
	
	ofSetColor(0xffffff);
	char tempStr[1024];
	sprintf(tempStr, "press any key to try\nstereo correspondance");
	
	if (bDoneAnyStero){
	sprintf(tempStr, "%s\n\ncorrespondence took\n(%0.04f) seconds\nto calculate", tempStr,timeForStero);
	
	}
	ofDrawBitmapString(tempStr, 800,100);
	
	
}


//--------------------------------------------------------------
void testApp::keyPressed  (int key){ 
	float timeNow = ofGetElapsedTimef();
	dc->calculate(cvImgLeft, cvImgRight, 5,15);
	timeForStero =  ofGetElapsedTimef() - timeNow;
	bDoneAnyStero = true;
}

//--------------------------------------------------------------
void testApp::mouseMoved(int x, int y ){
}	

//--------------------------------------------------------------
void testApp::mouseDragged(int x, int y, int button){
}

//--------------------------------------------------------------
void testApp::mousePressed(int x, int y, int button){
}

//--------------------------------------------------------------
void testApp::mouseReleased(){

}
